gpw(){
    echo "${passkeys}" |yq e "${1}" -
}

#HCLOUD
passkeys="$(gopass ${USER}/hcloud/k8s)"
HCLOUD_TOKEN=$(gpw .)
export TF_VAR_hcloud_token="${HCLOUD_TOKEN}"
export HCLOUD_TOKEN="${HCLOUD_TOKEN}"

# GitLab
passkeys="$(gopass ${USER}/gitlab/everyonecancontribute)"
TF_HTTP_USERNAME=$(gpw .username)
TF_HTTP_PASSWORD=$(gpw .password)
CI_PROJECT_ID=25345652
export TF_HTTP_PASSWORD
export TF_HTTP_USERNAME
export GITLAB_TOKEN=${TF_HTTP_PASSWORD}

export TF_VAR_gitlab_username="${TF_HTTP_USERNAME}"
export TF_VAR_gitlab_password="${TF_HTTP_PASSWORD}"
export TF_VAR_gitlab_project_id="${CI_PROJECT_ID}"
export CUSTOM_GITLAB_URL=${GITLAB_URL:-https://gitlab.com}

export TF_VAR_remote_address_base="${CUSTOM_GITLAB_URL}/api/v4/projects/${CI_PROJECT_ID}/terraform/state"
export TF_HTTP_ADDRESS="${TF_VAR_remote_address_base}/default"
export TF_HTTP_LOCK_ADDRESS="${TF_HTTP_ADDRESS}/lock"
export TF_HTTP_LOCK_METHOD="POST"
export TF_HTTP_UNLOCK_ADDRESS="${TF_HTTP_LOCK_ADDRESS}"
export TF_HTTP_UNLOCK_METHOD="DELETE"
export TF_HTTP_RETRY_WAIT_MIN=5



